Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Sub_Barrier Struct Reference

`#include <Barrier.h>`

Collaboration diagram for ACE_Sub_Barrier:

[legend]
List of all members.

## Public Member Functions
| ACE_Sub_Barrier (unsigned int count, ACE_Thread_Mutex &lock, const ACE_TCHAR *name=0, void *arg=0)
| ~ACE_Sub_Barrier (void)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
ACE_Condition_Thread_Mutex | barrier_finished_
| True if this generation of the barrier is done.
int | running_threads_
| Number of threads that are still running.
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Constructor & Destructor Documentation

ACE_Sub_Barrier::ACE_Sub_Barrier | ( | unsigned int | count,
|  | ACE_Thread_Mutex & | lock,
|  | const ACE_TCHAR * | name = `0`,
|  | void * | arg = `0`
| ) |

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Sub_Barrier::~ACE_Sub_Barrier | ( | void |  | ) |

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_Sub_Barrier::dump | ( | void |  | ) | const

| Dump the state of an object.

## Member Data Documentation

ACE_Sub_Barrier::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

ACE_Condition_Thread_Mutex ACE_Sub_Barrier::barrier_finished_

| True if this generation of the barrier is done.

int ACE_Sub_Barrier::running_threads_

| Number of threads that are still running.

The documentation for this struct was generated from the following files:

- Barrier.h
- Barrier.cpp
- Barrier.inl